<script>
	import { goto } from '$app/navigation'

	let doctors = [
		{ name: 'Werner Elzinga', dictance: '200m away' },
		{ name: 'Petrus Jonkheer', dictance: '200m away' },
		{ name: 'Hermina Paul', dictance: '500m away' },
		{ name: 'Geertruida Van Daele', dictance: '800m away' },
		{ name: 'Lambert Schenk', dictance: '1km away' },
		{ name: 'Puk Houk', dictance: '2km away' },
		{ name: 'Marco Kollen', dictance: '3km away' }
	]
</script>

<div class="h-full w-full p-4">
	<div class="flex text-sm mb-5 text-gray-400 items-center justify-between">
		<button class=" hover:text-gray-500" on:click={() => goto('/viewer')}>
			<svg class="h-6 w-6 block" fill="none" viewBox="0 0 24 24" stroke="currentColor">
				<path
					stroke-linecap="round"
					stroke-linejoin="round"
					stroke-width="2"
					d="M11 15l-3-3m0 0l3-3m-3 3h8M3 12a9 9 0 1118 0 9 9 0 01-18 0z"
				/>
			</svg>
		</button>
		<button
			class="bg-white rounded bg-indigo-700 shadow-md text-white py-1 px-2"
			on:click={() => goto('/doctors')}
		>
			Show Map
		</button>
	</div>

	<div class="grid gap-4 grid-cols-1 sm:grid-cols-2">
		{#each doctors as doctor}
			<!-- content here -->
			<div
				class="bg-white border rounded-lg flex space-x-3 border-gray-300 shadow-sm py-5 px-6 relative items-center hover:border-gray-400 focus-within:ring-2 focus-within:ring-offset-2 focus-within:ring-indigo-500"
			>
				<div class="flex-shrink-0">
					<img
						class="rounded-full h-10 w-10"
						src="https://source.unsplash.com/random/256x256?face"
						alt=""
					/>
				</div>
				<div class="flex-1 min-w-0">
					<a href="/appointment" class="flex items-center focus:outline-none">
						<div>
							<p class="font-medium text-sm text-gray-900">{doctor.name}</p>
							<div class="flex items-center">
								<svg
									class="flex-shrink-0 h-5 text-yellow-400 w-5"
									xmlns="http://www.w3.org/2000/svg"
									viewBox="0 0 20 20"
									fill="currentColor"
									aria-hidden="true"
								>
									<path
										d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
									/>
								</svg>

								<!-- Heroicon name: solid/star -->
								<svg
									class="flex-shrink-0 h-5 text-yellow-400 w-5"
									xmlns="http://www.w3.org/2000/svg"
									viewBox="0 0 20 20"
									fill="currentColor"
									aria-hidden="true"
								>
									<path
										d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
									/>
								</svg>

								<!-- Heroicon name: solid/star -->
								<svg
									class="flex-shrink-0 h-5 text-yellow-400 w-5"
									xmlns="http://www.w3.org/2000/svg"
									viewBox="0 0 20 20"
									fill="currentColor"
									aria-hidden="true"
								>
									<path
										d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
									/>
								</svg>

								<!-- Heroicon name: solid/star -->
								<svg
									class="flex-shrink-0 h-5 text-yellow-400 w-5"
									xmlns="http://www.w3.org/2000/svg"
									viewBox="0 0 20 20"
									fill="currentColor"
									aria-hidden="true"
								>
									<path
										d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
									/>
								</svg>

								<!-- Heroicon name: solid/star -->
								<svg
									class="flex-shrink-0 h-5 text-yellow-400 w-5"
									xmlns="http://www.w3.org/2000/svg"
									viewBox="0 0 20 20"
									fill="currentColor"
									aria-hidden="true"
								>
									<path
										d="M9.049 2.927c.3-.921 1.603-.921 1.902 0l1.07 3.292a1 1 0 00.95.69h3.462c.969 0 1.371 1.24.588 1.81l-2.8 2.034a1 1 0 00-.364 1.118l1.07 3.292c.3.921-.755 1.688-1.54 1.118l-2.8-2.034a1 1 0 00-1.175 0l-2.8 2.034c-.784.57-1.838-.197-1.539-1.118l1.07-3.292a1 1 0 00-.364-1.118L2.98 8.72c-.783-.57-.38-1.81.588-1.81h3.461a1 1 0 00.951-.69l1.07-3.292z"
									/>
								</svg>
							</div>
						</div>

						<p class="ml-auto text-sm text-gray-500 truncate ">
							<span
								class="rounded-full font-medium bg-indigo-100 text-sm py-0.5 px-3 text-indigo-800 inline-flex items-center"
							>
								{doctor.dictance}
							</span>
						</p>
					</a>
				</div>
			</div>
		{/each}
	</div>
</div>
